<?php
    include($_SERVER['DOCUMENT_ROOT'] . "/" . $this->basePath() . '/public/barcodecoy/qrlib.php');
    
    $PNG_TEMP_DIR = $_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . 
                    $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'].'/' .
                    $data['t_idtransaksi'] . '/';

    $PNG_WEB_DIR = $_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . 
                    $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'].'/' .
                    $data['t_idtransaksi'] . '/';
    
    if (!file_exists($PNG_TEMP_DIR)) {
        mkdir($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'].'/' . $data['t_idtransaksi'] . '/', 0777, true);
        chmod($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/', 0777);
        chmod($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'] . '/', 0777);
        chmod($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'] .'/' . $data['t_idtransaksi']  . '/', 0777);
    }
    
    $errorCorrectionLevel = 'L';
    $matrixPointSize = 3;
    $barcode = $data['t_kodebayar'];
    
    $filename = $PNG_TEMP_DIR . '' . $data['t_idjenisobjek'] . '_' . $data['t_periodepajak']. '_' . $data['t_idtransaksi'] . '_' . md5($barcode . '|' . $errorCorrectionLevel . '|' . $matrixPointSize) . '.png';
    QRcode::png($barcode, $filename, $errorCorrectionLevel, $matrixPointSize, 2);
    
    $tampilbarcode = '<img src="'.$_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'].'/' . $data['t_idtransaksi'] .'/' . basename($filename) . '" />';
?>
<html>
    <head>
        <style type="text/css">
			body{font-family:arial}
            .border_atas {
                border-top: 1px solid black;
                border-collapse: collapse;
            }

            .border_kiri {
                border-left: 1px solid black;
                border-collapse: collapse;
            }

            .border_kanan {
                border-right: 1px solid black;
                border-collapse: collapse;
            }

            .border_bawah {
                border-bottom: 1px solid black;
                border-collapse: collapse;
            }

            .font_besar {
                font-size: 12pt;
            }

            .font_kecil {
                font-size: 10pt;
            }

            .font_lima {
                font-size: 7pt;
            }

            .font_tujuh {
                font-size: 7pt;
            }  

            .font_delapan {
                font-size: 8pt;
            }    

            .font_sembilan {
                font-size: 9pt;
            }    
        </style>
    </head>
    <body>
        <?php
        ini_set("max_execution_time", 500);
        if (!function_exists('kekata')) {

            function kekata($x) {
                $x = abs($x);
                $angka = array("", "Satu", "Dua", "Tiga", "Empat", "Lima",
                    "Enam", "Tujuh", "Delapan", "Sembilan", "Sepuluh", "Sebelas");
                $temp = "";
                if ($x < 12) {
                    $temp = " " . $angka[$x];
                } else if ($x < 20) {
                    $temp = kekata($x - 10) . " Belas";
                } else if ($x < 100) {
                    $temp = kekata($x / 10) . " Puluh" . kekata($x % 10);
                } else if ($x < 200) {
                    $temp = " Seratus" . kekata($x - 100);
                } else if ($x < 1000) {
                    $temp = kekata($x / 100) . " Ratus" . kekata($x % 100);
                } else if ($x < 2000) {
                    $temp = " Seribu" . kekata($x - 1000);
                } else if ($x < 1000000) {
                    $temp = kekata($x / 1000) . " Ribu" . kekata($x % 1000);
                } else if ($x < 1000000000) {
                    $temp = kekata($x / 1000000) . " Juta" . kekata($x % 1000000);
                } else if ($x < 1000000000000) {
                    $temp = kekata($x / 1000000000) . " Milyar" . kekata(fmod($x, 1000000000));
                } else if ($x < 1000000000000000) {
                    $temp = kekata($x / 1000000000000) . " Trilyun" . kekata(fmod($x, 1000000000000));
                }
                return $temp;
            }

        }

        function terbilang($x, $style = 4) {
            if ($x < 0) {
                $hasil = "MINUS " . trim(kekata($x));
            } else {
                $hasil = trim(kekata($x));
            }
            switch ($style) {
                case 1:
                    $hasil = strtoupper($hasil);
                    break;
                case 2:
                    $hasil = strtolower($hasil);
                    break;
                case 3:
                    $hasil = ucwords($hasil);
                    break;
                default:
                    $hasil = ucfirst($hasil);
                    break;
            }
            return $hasil;
        }
		
	    $abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
        $t_tglpenetapandenda = date('d') . " " . $abulan[date('m')] . " " . date('Y');
        
        ?>
        <table class="border_atas border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
            <tr>
                <td style="width: 10%;text-align:center;">
                    <img src="<?= $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/" . $ar_pemda->s_logo; ?>" style="width:50px;"  />
                </td>
                <td style="width: 35%">
                    PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota) ?>
                    <br>
                    <b style="font-size:10pt;"><?= strtoupper($ar_pemda->s_namainstansi) ?></b>
                    <br>
                    <?= $ar_pemda->s_alamatinstansi ?> <?= $ar_pemda->s_namaibukotakabkota ?><br>Telp/Fax <?= $ar_pemda->s_notelinstansi ?>
                </td>
                <td class="border_kiri" style="width: 40%; text-align:center;">
                    <b style="font-size: 20pt;">STPD</b><br>
                    <b style="font-size: 11pt;">(SURAT TAGIHAN PAJAK DAERAH)</b><br>
                    Masa Pajak &nbsp;&nbsp;&nbsp;&nbsp;: <?= date('d-m-Y', strtotime($data['t_masaawal'])); ?> S/D <?= date('d-m-Y', strtotime($data['t_masaakhir'])); ?>
                    <br>
                    Tahun Pajak &nbsp;&nbsp;&nbsp;: <?= $data['t_periodepajak']; ?>
                </td>
                <td class="border_kiri" style="width: 15%;text-align:center;">
                    <!-- No. STPD : <= $data['t_nostpd'] ?><br> -->
                    <b>Kode Bayar</b><br> <?=$tampilbarcode.'<br>'. $data['t_kodebayar'] ?>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px; padding-top: 10px">
                    NPWPD
                </td>
                <td style="padding:0;border-spacing:0px; padding-top: 10px">
                    :
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px; padding-top: 10px">
                    <?= $data['t_npwpd'] ?>
                </td>
            </tr>
            <tr>
                <td style="width: 20%; padding:0; border-spacing:0px; padding-left: 10px">
                    Nama
                </td>
                <td style="width: 2%; padding:0;border-spacing:0px;">
                    :
                </td>
                <td style="padding:0;border-spacing:0px;">
                    <?= $data['t_nama'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px; vertical-align:top;">
                    Alamat
                </td>
                <td style="padding:0;border-spacing:0px;vertical-align:top;">
                    :
                </td>
                <td style="padding:0;border-spacing:0px;vertical-align:top;">
                    <?= $data['t_alamat'] . ", Kel./Desa " . $data['s_namakel'] . ", Kec. " . $data['s_namakec'] . ", Kab. " . $data['t_kabupaten'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px">
                    NIOP
                </td>
                <td style="padding:0;border-spacing:0px;">
                    :
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    <?= $data['t_nop'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px">
                    Nama Objek
                </td>
                <td style="padding:0;border-spacing:0px;">
                    :
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    <?= $data['t_namaobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px;vertical-align:top;">
                    Alamat Objek
                </td>
                <td style="padding:0;border-spacing:0px;vertical-align:top;">
                    :
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    <?= $data['t_alamatobjek'] . ", Kel./Desa " . $data['s_namakelobjek'] . ", Kec. " . $data['s_namakecobjek'] . ", Kab. " . $data['t_kabupatenobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px;vertical-align:top;">
                    No. Ketetapan
                </td>
                <td style="padding:0;border-spacing:0px;vertical-align:top;">
                    :
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    <?php
					if($data['t_jenispajak'] == 4 || $data['t_jenispajak'] == 8){
						$no_penetapan = str_pad($data['t_nopenetapan'],5,0, STR_PAD_LEFT).'/SKPD/'.str_pad($data['t_jenispajak'],2,0, STR_PAD_LEFT).'/'.$data['t_periodepajak'];
						$tgl_penetapan = $data['t_tglpenetapan'];
					}else{
                        if(substr($data['t_kodebayar'],5,1) == 4){
                            $no_penetapan = str_pad($data['t_noskpdjab'],5,0, STR_PAD_LEFT).'/SKPD/'.str_pad($data['t_jenispajak'],2,0, STR_PAD_LEFT).'/'.$data['t_periodepajak'];
                            $tgl_penetapan = $data['t_tglpendataan'];
                        }else{
                            $no_penetapan = str_pad($data['t_nourut'],5,0, STR_PAD_LEFT).'/SPTPD/'.str_pad($data['t_jenispajak'],2,0, STR_PAD_LEFT).'/'.$data['t_periodepajak'];
                            $tgl_penetapan = $data['t_tglpendataan'];
                        }
					}
					echo '<b>'.$no_penetapan.'</b>';
					?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 10px;vertical-align:top;">
                    Tgl. Ketetapan
                </td>
                <td style="padding:0;border-spacing:0px;vertical-align:top;">
                    :
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    <b><?=date('d', strtotime($tgl_penetapan)).' '.$abulan[date('m', strtotime($tgl_penetapan))].' '.date('Y', strtotime($tgl_penetapan))?></b>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-bottom: 10px; padding-left: 10px">
                    
                </td>
                <td style="padding:0;border-spacing:0px; padding-bottom: 10px;">
                    
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px; padding-bottom: 10px;">
				<?php
                                $jatuhtempo = $data['t_tgljatuhtempo'];
                                $tglsekarang = date('Y-m-d');

                                $ts1 = strtotime($jatuhtempo);
                                $ts2 = strtotime($tglsekarang);

                                $year1 = date('Y', $ts1);
                                $year2 = date('Y', $ts2);

                                $month1 = date('m', $ts1);
                                $month2 = date('m', $ts2);

                                $day1 = date('d', $ts1);
                                $day2 = date('d', $ts2);
                                if ($day1 < $day2) {
                                    $tambahanbulan = 1;
                                } else {
                                    $tambahanbulan = 0;
                                }

                                $jmlbulan = (($year2 - $year1) * 12) + ($month2 - $month1 + $tambahanbulan);
                                if ($jmlbulan > 24) {
                                    $jmlbulan = 24;
                                    $jmldenda = $jmlbulan * 2 / 100 * $data['t_jmlhpajak'];
                                } else {
                                    $jmldenda = $jmlbulan * 2 / 100 * $data['t_jmlhpajak'];
                                }
								
//				echo $day1.' '. $abulan[$month1+$jmlbulan].' '.$year1;
//                                echo $month1+$jmlbulan;
				
                                ?>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%; vertical-align: top">
            <?php
            if($data['t_jenispajak'] == 4){
                echo '<tr><td colspan="2">
                <table style="width:100%;margin:5px;" class="border_atas border_bawah border_kanan border_kiri font_delapan">
                    <tr>
                        <th class="border_bawah border_kanan" width="5%">NO.</th>
                        <th class="border_bawah border_kanan" width="15%">KODE REKENING</th>
                        <th class="border_bawah border_kanan" width="65%">URAIAN</th>
                        <th class="border_bawah" width="15%">JUMLAH PAJAK</th>
                    </tr>
                    <tr>
                        <td class="border_kanan border_bawah" style="text-align:center;">1.</td>
                        <td class="border_kanan border_bawah" style="text-align:center;">'.$data['korek'].'</td>
                        <td class="border_kanan border_bawah" style="text-align:left;">
                        <b>'.$data['s_namakorek'].'</b><br>
                        Panjang : '.$data_reklame['t_panjang'].', Lebar : '.$data_reklame['t_lebar'].'<br>
                        Jumlah Reklame : '.$data_reklame['t_jumlah'].'
                        </td>
                        <td style="text-align:right;" class="border_bawah">'.number_format($data['t_jmlhpajak'], 0, ',', '.').'</td>
                    </tr>
                    <tr>
                        <td colspan="3" class="border_kanan" style="text-align:center;">Total Pajak</td>
                        </td>
                        <td style="text-align:right;">'.number_format($data['t_jmlhpajak'], 0, ',', '.').'</td>
                    </tr>
                </table>
                </td></tr>';
            }
            ?>
            <tr>
                <td style="padding-left: 10px; padding-top: 10px; width: 20px;">
                    I.
                </td>
                <td style="padding-top: 10px;">
                    Berdasarkan Pasal 100 Undang-undang Nomor 28  Tahun 2009 telah dilakukan penelitian  dan / atau pemeriksaan atau keterangan lain atas pelaksanaan kewajiban :
                    <br>  
                    Kode Rekening &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;: <?= $data_rekening['s_tipekorek'].'.'.$data_rekening['s_kelompokkorek'].'.'.$data_rekening['s_jeniskorek'].'.'.$data_rekening['s_objekkorek'].'.'.$data_rekening['s_rinciankorek'] ?>
                    <br>
                    Nama Rekening &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;: <?= $data_rekening['s_namakorek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding-left: 10px; padding-top: 10px; width: 20px;">
                    II.
                </td>
                <td style="padding-top: 10px;">
                    Dari penelitian dan atau pemeriksaan tersebut diatas, penghitungan jumlah yang masih harus dibayar adalah sebagai berikut :
                    <table style="border-top: 1px solid white; border-collapse: collapse; width: 100%; text-align: left">
                        <tr>
                            <td style="width: 2%">
                                1.
                            </td>
                            <td style="width: 70%">
                                Pajak yang kurang bayar
                            </td>
                            <td style="width: 3%">
                                Rp.
                            </td>
                            <td style="text-align: right;padding-right:20px;">
							<?php
							$pajak_kurangbayar = $data['t_jmlhpajak']-$data['t_jmlhpembayaran'];
							if($pajak_kurangbayar == 0){
								$angka_kb = '-';
							}else{
								$angka_kb = number_format($pajak_kurangbayar, 0, ',', '.');
							}
							?>
                                <?=  $angka_kb?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                2.
                            </td>
                            <td>
                                Sanksi administrasi
                            </td>
                            <td>

                            </td>
                            <td style="text-align: right;padding-right:20px;">
							
                            </td>
                        </tr>
						<?php
						if(!empty($data['t_jmlhbulandendapembayaran'])){
							$t_jmlhbulandendapembayaran = $data['t_jmlhbulandendapembayaran'];
							$t_jmlhdendapembayaran = $data['t_jmlhdendapembayaran'];
						}else{
							$t_jmlhbulandendapembayaran = $jmlbulan;
							$t_jmlhdendapembayaran = $jmldenda;
						}
						?>
                        <tr>
                            <td>

                            </td>
                            <td>
                                a. Bunga (<?=$t_jmlhbulandendapembayaran?> Bulan x 2% x <?= number_format($data['t_jmlhpajak'])?>)
                            </td>
                            <td>
                                Rp.
                            </td>
                            <td style="text-align: right;padding-right:20px;">
                                
                                <?= number_format($t_jmlhdendapembayaran, 0, ',', '.') ?>
                            </td>
                        </tr>
                        <tr>
                            <td>

                            </td>
                            <td>
                                b. Jumlah Sanksi Administrasi
                            </td>
                            <td>
                                Rp.
                            </td>
                            <td style="text-align: right;padding-right:20px;" class="border_bawah">
                                -
                            </td>
                        </tr>
                        <tr>
                            <td>
                                3.
                            </td>
                            <td>
                                Pajak yang Kurang Bayar
                            </td>
                            <td>
                                Rp.
                            </td>
                            <td style="text-align: right;padding-right:20px;">
                                <?= number_format(($data['t_jmlhpajak']-$data['t_jmlhpembayaran']) + $t_jmlhdendapembayaran, 0, ',', '.') ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
            <tr>
                <td style="width: 5%;padding-top: 10px; padding-bottom: 10px; padding-left: 15px">
                    Dengan huruf : <br><b><?= terbilang(($data['t_jmlhpajak']-$data['t_jmlhpembayaran']) + $data['t_jmlhdendapembayaran']); ?> Rupiah</b>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
            <tr>
                <td style="width: 5%;padding-top: 10px; padding-bottom: 10px; padding-left: 15px">
                    PERHATIAN :<br>
                    1. Harap penyetoran dilakukan melalui Kas Daerah ( Bank Sumsel-Babel) dengan menggunakan Kode Bayar yang tertera pada Surat Tagihan Pajak Daerah (STPD).<br>
                    2. Apabila STPD ini tidak atau kurang dibayar setelah lewat waktu paling lama 30 hari sejak STPD ini diterima dikenakan sanksi administrasi berupa bunga sebesar 2% per bulan.
                </td><!--lewat waktu paling lama 30 hari sejak STPD ini diterima Tanggal Jatuh Tempo <= $day1.' '. $abulan[$month1].' '.$year1;?>-->
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
            <tr>
                <td style="width: 60%; padding-top: 10px; padding-left: 15px">
                </td>
                <td style="text-align: center; padding-top: 10px;padding-right:10px;">
				
                    <?= $ar_pemda->s_namaibukotakabkota ?>, <?= $t_tglpenetapandenda ?><br>
                    A.n KEPALA <?= strtoupper($ar_pemda->s_namainstansi) ?><br>
                    <?=strtoupper($ar_pemda->s_namakabkota)?><bR>
                    <b><?= strtoupper($ar_ttd0->s_jabatanpej) ?></b>
                    <br>
                    <br>
                    <br>
                    <br>
                    <br>
                    <u><b><?= $ar_ttd0->s_namapej ?></b></u><br>
                    NIP. <?= $ar_ttd0->s_nippej ?>
                </td>
            </tr>
        </table>
        <hr>
        <table class="border_bawah border_kanan border_kiri border_atas font_delapan" style="width: 100%;">
            <tr>
                <td colspan="2" style="padding-top: 10px">

                </td>
                <td style="text-align: right; padding-top: 10px;padding-right:40px;">
                    <!-- No. STPD : <= $data['t_nostpd']; ?> -->
                    NOMOR : <b><?=$no_penetapan?></b>
                </td>
            </tr>
            <tr>
                <td colspan="3" style="text-align: center;font-size:14pt;">
                    <u><b>TANDA TERIMA</b></u>
                </td>
            </tr>
            <tr>
                <td style="width: 30%;padding-left: 25px;">
                    NPWPD
                </td>
                <td style="width: 2%">
                    :
                </td>
                <td>
                    <?= $data['t_npwpd'] ?>
                </td>
            </tr>
            <tr>
                <td style="width: 30%;padding-left: 25px; vertical-align: top;">
                    Nama
                </td>
                <td style="width: 2%">
                    :
                </td>
                <td>
                    <?= strtoupper($data['t_nama']); ?>
                </td>
            </tr>
            <tr>
                <td style="width: 30%;padding-left: 25px; vertical-align: top;">
                    Alamat
                </td>
                <td style="width: 2%;vertical-align: top;">
                    :
                </td>
                <td>
                    <?= strtoupper($data['t_alamat_lengkap']) ?>
                </td>
            </tr>
            <tr>
                <td colspan="2">

                </td>
                <td style="text-align: center;padding-top:15px;">
                    .........................., ........................... 20......... 

                </td>
            </tr>
            <tr>
                <td colspan="2">

                </td>
                <td style="text-align: center">
                    <b>Yang Menerima,</b>
                    <br><br><br><br><br><br>
                </td>
            </tr>
            <tr>
                <td colspan="2" style="padding-bottom: 10px">

                </td>
                <td style="text-align: center; padding-bottom: 10px">
                    (.......................................)
                </td>
            </tr>
        </table>
    </body>
</html>

